VST 3 SDK: NoteExpressionTypeContainer Class Reference
Author: Steinberg

VST 3 SDK VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
NoteExpressionTypeContainer Class Reference
VST Implementation Helper Classes

Collection of note expression types. More...

`#include <vstnoteexpressiontypes.h>`

Inheritance diagram for NoteExpressionTypeContainer:

## Public Member Functions
| NoteExpressionTypeContainer ()
| default constructor
bool | addNoteExpressionType (NoteExpressionType *noteExpType)
| add a note expression type.
bool | removeNoteExpressionType (NoteExpressionTypeID typeId)
| remove a note expression type
void | removeAll ()
| remove all note expression types
NoteExpressionType * | getNoteExpressionType (NoteExpressionTypeID typeId)
| get a note expression type object by ID
int32 | getNoteExpressionCount ()
| get the number of note expression types
tresult | getNoteExpressionInfo (int32 noteExpressionIndex, NoteExpressionTypeInfo &info)
| get note expression info
tresult | getNoteExpressionStringByValue (NoteExpressionTypeID id, NoteExpressionValue valueNormalized, String128 string)
| convert a note expression value to a readable string
tresult | getNoteExpressionValueByString (NoteExpressionTypeID id, const TChar *string, NoteExpressionValue &valueNormalized)
| convert a string to a note expression value
tresult | getMappedNoteExpression (const PhysicalUITypeID physicalUITypeID, NoteExpressionTypeID &id)
| get the Physical UI Type associated to a given Note Expression Id
OBJ_METHODS(NoteExpressionTypeContainer, FObject) protected NoteExprTypeVector::const_iterator | find (NoteExpressionTypeID typeId) const

## Public Attributes
NoteExprTypeVector | noteExps

## Detailed Description

Collection of note expression types.

## Constructor & Destructor Documentation

## ◆ NoteExpressionTypeContainer()

NoteExpressionTypeContainer | ( |  | ) |

default constructor

## Member Function Documentation

## ◆ addNoteExpressionType()

bool addNoteExpressionType | ( | NoteExpressionType * | noteExpType | ) |

add a note expression type.

The container owns the type. No need to release it afterwards.

## ◆ removeNoteExpressionType()

bool removeNoteExpressionType | ( | NoteExpressionTypeID | typeId | ) |

remove a note expression type

## ◆ removeAll()

void removeAll | ( |  | ) |

remove all note expression types

## ◆ getNoteExpressionType()

NoteExpressionType * getNoteExpressionType | ( | NoteExpressionTypeID | typeId | ) |

get a note expression type object by ID

## ◆ getNoteExpressionCount()

int32 getNoteExpressionCount | ( |  | ) |

get the number of note expression types

## ◆ getNoteExpressionInfo()

tresult getNoteExpressionInfo | ( | int32 | noteExpressionIndex,
|  | NoteExpressionTypeInfo & | info )

get note expression info

## ◆ getNoteExpressionStringByValue()

tresult getNoteExpressionStringByValue | ( | NoteExpressionTypeID | id,
|  | NoteExpressionValue | valueNormalized,
|  | String128 | string )

convert a note expression value to a readable string

## ◆ getNoteExpressionValueByString()

tresult getNoteExpressionValueByString | ( | NoteExpressionTypeID | id,
|  | const TChar * | string,
|  | NoteExpressionValue & | valueNormalized )

convert a string to a note expression value

## ◆ getMappedNoteExpression()

tresult getMappedNoteExpression | ( | const PhysicalUITypeID | physicalUITypeID,
|  | NoteExpressionTypeID & | id )

get the Physical UI Type associated to a given Note Expression Id

## ◆ find()

NoteExpressionTypeContainer::NoteExprTypeVector::const_iterator find | ( | NoteExpressionTypeID | typeId | ) | const

## Member Data Documentation

## ◆ noteExps

NoteExprTypeVector noteExps

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.